//**********************************************
//             LEDSEG_0.H
//
// This is the header file that contains the 
// Data for a seven segment LED Display
//
// Author: Michael Pearce
//         Chemistry Dept, Uni of Canterbury
//
// Started: 4 Feb 1998
//
//*********************************************
//-- Ensure that a Positive or Negative is set!
#ifndef S_POSITIVE 
 #ifndef S_NEGATIVE
  #define S_POSITIVE
 #endif
#endif

#ifndef S_STANDARD
 #define S_STANDARD  1  //-- Set to basic
#endif

//*********************************************
//
//     AAA
//    F   B
//    F   B
//     GGG 
//    E   C 
//    E   C
//     DDD   DP
//

// For different display arangements ADD new number
// arrangements below
// Format:
// #define  [Segment Name]  [Value of Segment]

#if S_STANDARD == 1
 #ifdef S_POSITIVE 
  //-- A display that works on Positive Logic
  #define  ZZ   0         //-- Always start with a blank display
  #define  AA   128
  #define  BB   64
  #define  CC   32
  #define  DD   16
  #define  EE   8
  #define  FF   4
  #define  GG   2
  #define  DP   1
 #else
  //-- A display that works on Negative Logic
  #define  ZZ   0xFF         //-- Always start with a blank display
  #define  AA   -128
  #define  BB   -64
  #define  CC   -32
  #define  DD   -16
  #define  EE   -8
  #define  FF   -4
  #define  GG   -2
  #define  DP   -1
 #endif
#endif
//-------- ADD MORE DISPLAY ARRAYS HERE -------------



//---- Below are the combinations to make NUMBERS ----

#define S_0  ZZ+AA+BB+CC+DD+EE+FF 
#define S_1  ZZ+BB+CC
#define S_2  ZZ+AA+BB+GG+EE+DD
#define S_3  ZZ+AA+BB+GG+CC+DD
#define S_4  ZZ+FF+GG+BB+CC
#define S_5  ZZ+AA+FF+GG+CC+DD
#define S_6  ZZ+AA+FF+EE+DD+CC+GG
#define S_7  ZZ+AA+BB+CC
#define S_8  ZZ+AA+BB+CC+DD+EE+FF+GG
#define S_9  ZZ+GG+FF+AA+BB+CC+DD

//---- Below are the combinations to make LETTERS ----

#define S_A  ZZ+EE+GG+FF+AA+BB+CC
#define S_B  ZZ+FF+EE+DD+CC+GG
#define S_C  ZZ+GG+EE+DD
#define S_D  ZZ+GG+EE+DD+CC+BB
#define S_E  ZZ+AA+FF+GG+EE+DD
#define S_F  ZZ+AA+FF+GG+EE
#define S_G  ZZ+AA+FF+EE+DD+CC
#define S_H  ZZ+FF+EE+GG+CC+BB
#define S_I  ZZ+CC
#define S_J  ZZ+BB+CC+DD+EE
#define S_K  ZZ                //--Unable to make
#define S_L  ZZ+FF+EE+DD
#define S_M  ZZ
#define S_N  ZZ+EE+GG+CC
#define S_O  ZZ+GG+EE+DD+CC
#define S_P  ZZ+GG+BB+AA+FF+EE
#define S_Q  ZZ+GG+FF+AA+BB+CC
#define S_R  ZZ+EE+GG
#define S_S  ZZ+AA+FF+GG+CC+DD
#define S_T  ZZ+FF+GG+EE+DD
#define S_U  ZZ+EE+DD+CC
#define S_V  ZZ
#define S_W  ZZ 
#define S_X  ZZ
#define S_Y  ZZ+FF+GG+BB+CC+DD
#define S_Z  ZZ









